%global __cmake_in_source_build 1

Summary:        The SoX Resampler library
Name:           soxr
Version:        0.1.3
Release:        2%{?dist}
License:        LGPLv2+
URL:            https://sourceforge.net/p/soxr/wiki/Home/ 
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-Source.tar.xz

BuildRequires:  cmake gcc

%description
The SoX Resampler library `libsoxr' performs one-dimensional sample-rate conversion—it
may be used, for example, to resample PCM-encoded audio.

It aims to give fast and high quality results for any constant (rational or irrational)
resampling ratio. Phase-response, preserved bandwidth, aliasing, and rejection level parameters
are all configurable; alternatively, simple `preset' configurations may be selected.
An experimental, variable-rate resampling mode of operation is also included.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The package contains libraries and header files for developing with %{name}.


%prep
%autosetup -n %{name}-%{version}-Source


%build
export LDFLAGS="-Wl,--as-needed"
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo -DWITH_CR32S=FALSE
%cmake_build


%install
%cmake_install
rm -rf %{buildroot}%{_docdir}/*


%check
%ctest


%files
%license LICENCE
%doc NEWS README
%{_libdir}/*.so.*


%files devel
%doc examples
%{_libdir}/*.so
%{_libdir}/pkgconfig/soxr-lsr.pc
%{_libdir}/pkgconfig/soxr.pc
%{_includedir}/*


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.3-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 24 2023 rockerzhu <rockerzhu@tencent.com> - 0.1.3-1
- Initial build.
